Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.phonon
Class Phonon.State

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.phonon.Phonon.State

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  Phonon

    public static final class Phonon.State

extends java.lang.Enum
implements QtEnumerator

The state enum describes the different states a media object can take. Several functions of `MediaObject` are asynchronous, so even if a you have requested a state change through a function call, e.g., through `play()`, you cannot be sure that the change has taken place before you receive the `stateChanged()` signal.

A media object can at any time change into any state, regardless of the state it previously had.

See also:
  `MediaObject`.

See Also:
  Serialized Form

Field Summary
`static Phonon.State` | `BufferingState` The Player is waiting for data to be able to start or continue playing.
`static Phonon.State` | `ErrorState` When a media object enters the error state a problem with the playback has occurred.
`static Phonon.State` | `LoadingState` After construction it might take a while before the media object is ready to `play()`.
`static Phonon.State` | `PausedState` The media player has currently paused its playback, i.e., it stops playing but keeps the current playback position in the stream.
`static Phonon.State` | `PlayingState` The media object is playing back its media source.
`static Phonon.State` | `StoppedState` In the stopped state, the media object is ready to play its current media source.

Method Summary
`static Phonon.State` | `resolve(int value)` Returns the Phonon$State constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Phonon.State` | `valueOf(java.lang.String name)`
`static Phonon.State[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### LoadingState

    public static final Phonon.State LoadingState

  After construction it might take a while before the media object is ready to `play()`. This state is commonly used by backends to initialize the media graph and loading the source. When the object leaves the loading state, it will enter the `StoppedState` unless an error occurred or another state is requested through a function call, e.g., `MediaObject::play()`.

### StoppedState

    public static final Phonon.State StoppedState

  In the stopped state, the media object is ready to play its current media source. The current `position` in the media stream is then 0.

### PlayingState

    public static final Phonon.State PlayingState

  The media object is playing back its media source.

### BufferingState

    public static final Phonon.State BufferingState

  The Player is waiting for data to be able to start or continue playing. This state is commonly used to wait for media data over a network connection.

### PausedState

    public static final Phonon.State PausedState

  The media player has currently paused its playback, i.e., it stops playing but keeps the current playback position in the stream.

### ErrorState

    public static final Phonon.State ErrorState

  When a media object enters the error state a problem with the playback has occurred. The possible errors are grouped into two categories by `Phonon::ErrorType` , and the type can be queried through `errorType()`. A `FatalError` implies that the playback cannot continue, but one can still try with a new media source. With a `NormalError` it might be possible to continue playback, and a media object may therefore change state from the `ErrorState` .

Method Detail

### values

    public static Phonon.State[] values()

### valueOf

    public static Phonon.State valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Phonon.State resolve(int value)

  Returns the Phonon$State constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD